Python-Pyenv管理多版本python

无常

1. 安装 pyenv 管理多版本Python

pyenv 是一个 Linux和MacOS平台下的Python版本管理器,可以管理不同版本的Python,做到各个版本之前的切换,同时也可以管理管理已经安装的 python版本(系统安装的除外),包括 安装切换卸载

1.1 安装

安装git

sudo apt-get install git

克隆pyenv

git clone https://github.com/pyenv/pyenv.git ~/.pyenv

配置bash启动文件(如果是使用zsh配置在.zshrc文件中)

# 经过克隆过后终端中应该会出现下面类似的内容,然后配置在启动文件中
echo 'export PYENV_ROOT="$HOME/.pyenv"' >> ~/.bashrc
echo 'export PATH="$PYENV_ROOT/bin:$PATH"' >> ~/.bashrc
echo -e 'if command -v pyenv 1>/dev/null 2>&1; then\n eval "$(pyenv init -)"\nfi' >> ~/.bashrc

重新初始化shell环境

 source ~/.bashrc

查看是否安装成功

  echo $PATH    -----> # 如果出现  .pyenv/shims 说明成功 

更新pyenv

  pyenv update

卸载

sudo rm -fr ~/.pyenv
同时删除  .bashrc 或者 .zshrc 下面这些内容
export PATH="~/.pyenv/bin:$PATH"
eval "$(pyenv init -)"
eval "$(pyenv virtualenv-init -)"

2. pyenv 管理多版本 python

查看可以安装的python版本

pyenv install --list

安装指定版本 python

pyenv install 3.6.6 -v

"""
 这里有个问题,某些情况下会安装失败,报错就告诉你 Build failed
# 这个时候,pyenv 已经在它的 github wiki 里面为我们准备了一篇错误应对方案,原文地址 https://github.com/pyenv/pyenv/wiki
"""
# ubuntu
sudo apt-get install -y make build-essential libssl-dev zlib1g-dev libbz2-dev libreadline-dev libsqlite3-dev wget curl llvm libncurses5-dev xz-utils tk-dev libxml2-dev libxmlsec1-dev libffi-dev
# centos(请确保已经安装了安装了 xz 工具)
sudo yum install gcc zlib-devel bzip2 bzip2-devel readline-devel sqlite sqlite-devel openssl-devel tk-devel libffi-devel

pyenv 卸载 python

pyenv uninstall 3.6.6

查看 pyenv 已经管理了那些python

pyenv versions

显示当前活跃的python

pyenv version

pyenv 切换 python版本

pyenv global 3.6.6

pyenv 切换成系统默认版本

pyenv global system

pyenv 库更新

pyenv rehash
阅读 772
18 声望
0 粉丝
0 条评论
18 声望
0 粉丝
文章目录
宣传栏